package com.zhgd.annotation;

/**
 * @program: wisdomSite
 * @description: 自定义操作日志注解
 * @author: Mr.Peng
 * @create: 2021-05-06 18:03
 **/

import java.lang.annotation.*;

@Target(ElementType.METHOD) //注解放置的目标位置,METHOD是可注解在方法级别上
@Retention(RetentionPolicy.RUNTIME) //注解在哪个阶段执行
@Documented
public @interface OperLog {
    String operModul() default ""; // 操作模块
    String operType() default "";  // 操作类型
    String operDesc() default "";  // 操作说明
}
